Void Debit Memo Used Payment
curl --request POST \
--url https://api.meetcampfire.com/coa/api/v1/debit-memo/{debit_memo_id}/payment/{payment_id}/void \
--header 'Content-Type: application/json' \
--data '
{
"void_date": "2023-12-25"
}
'import requests
url = "https://api.meetcampfire.com/coa/api/v1/debit-memo/{debit_memo_id}/payment/{payment_id}/void"
payload = { "void_date": "2023-12-25" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({void_date: '2023-12-25'})
};
fetch('https://api.meetcampfire.com/coa/api/v1/debit-memo/{debit_memo_id}/payment/{payment_id}/void', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"payment_journal_entry_order": "<string>",
"voided_journal_entry_order": "<string>",
"bill": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"last_modified_at": "2023-11-07T05:31:56Z",
"customer": 123,
"debit_memo": 123,
"payment_journal_entry": 123,
"currency": "<string>",
"amount": 0,
"payment_date": "2023-12-25",
"voided_date": "2023-12-25",
"payment_transaction": 123,
"voided_journal_entry": 123
}Accounts Payable
Void Debit Memo Used Payment
Void a debit memo ‘mark used’ payment by creating a reversing journal entry.
This creates a reversing JE that credits the A/P account and debits Uncategorized, then marks the payment as voided.
POST
/
coa
/
api
/
v1
/
debit-memo
/
{debit_memo_id}
/
payment
/
{payment_id}
/
void
Void Debit Memo Used Payment
Path Parameters
ID of the debit memo
ID of the payment to void
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
200 - application/json
Maximum string length:
3Required range:
-1000000000000000000 < x < 1000000000000000000